com.google.gwt.core.ext.typeinfo

## Interface JConstructor

All Superinterfaces:
  HasAnnotations, HasTypeParameters, JAbstractMethod

    public interface JConstructor
    extends JAbstractMethod

Represents a constructor declaration.

### Method Summary

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JAbstractMethod

`findParameter, getEnclosingType, getErasedParameterTypes, getJsniSignature, getName, getParameters, getParameterTypes, getReadableDeclaration, getThrows, isAnnotationMethod, isConstructor, isDefaultAccess, isMethod, isPrivate, isProtected, isPublic, isVarArgs`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasTypeParameters

`getTypeParameters`